# bulkCreateAssessmentAssignments

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| POST | https://api.thomas.co/v1/assessments/assignments/bulk |

| Field | Value |
|---|---|
| operationId | bulkCreateAssessmentAssignments |
| method | POST |
| server | https://api.thomas.co/v1 |
| path | /assessments/assignments/bulk |
| tags | `Assignments` |
| summary | Bulk create assessment assignments |
| badges | `{"name":"Owner"}`, `{"name":"Admin"}` |

## Request Parameters

None.

## Request Body

| Content type | Schema refs |
|---|---|
| application/json | #/components/schemas/BulkCreateAssignmentRequestDto |

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 201 | Bulk assignments created successfully | #/components/schemas/BulkAssignmentResponseDto |
| 400 | Invalid request payload | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token | #/components/schemas/ApiErrorResponseDto |
| 403 | Insufficient role — owner or admin required | #/components/schemas/ApiErrorResponseDto |
| 404 | One or more individuals not found in organisation | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 403 example

```json
{
  "statusCode": 403,
  "message": "Insufficient role privileges",
  "error": "AUTH_INSUFFICIENT_ROLE"
}
```

### Response 404 example

```json
{
  "statusCode": 404,
  "message": "One or more individuals not found in organisation",
  "error": "IDENTITY_COMPANY_INDIVIDUAL_NOT_FOUND"
}
```
